# ETableConfig

## Name

ETableConfig --

## Synopsis

    typedef     ETableConfig;
    #define     E_TABLE_CONFIG_TYPE
    GtkWidget*  e_table_config_new              (ETableSpecification *spec,
                                                 ETableState *state);
    GtkWidget*  e_table_config_construct        (ETableConfig *etco,
                                                 ETableSpecification *spec,
                                                 ETableState *state);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----GtkWindow
                               +----GnomeDialog
                                     +----ETableConfig

## Description

## Details

### ETableConfig

    typedef struct {
    	GnomeDialog base;

    	ETableSpecification *spec;
    	ETableState         *state;

    	GtkWidget *sort_label;
    	GtkWidget *group_label;

    	GtkWidget *sort_dialog;
    	GtkWidget *group_dialog;

    	int sorting_changed_id;
    	int grouping_changed_id;
    } ETableConfig;

### E_TABLE_CONFIG_TYPE

    #define E_TABLE_CONFIG_TYPE        (e_table_config_get_type ())

### e_table_config_new ()

    GtkWidget*  e_table_config_new              (ETableSpecification *spec,
                                                 ETableState *state);

Creates a new ETable config object.

`spec` : | The specification for the columns to allow.
`state` : | The current state of the configuration.
Returns : | The config object.

### e_table_config_construct ()

    GtkWidget*  e_table_config_construct        (ETableConfig *etco,
                                                 ETableSpecification *spec,
                                                 ETableState *state);

`etco` : |
`spec` : |
`state` : |
Returns : |